/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.screendef;

public class TextDef extends ComponentDef {
	// private String value;

	private String datatype;

	private String isRequired;

	private String disable;

	private String autoUp;

	private String rows;

	private String initValue;

	private String accessKey;

	private String nbchar;

	private String tabIndex;

	// public String getValue() {
	// return value;
	// }
	//
	// public void setValue(String value) {
	// this.value = value;
	// }

	public String getAutoUp() {
		return autoUp;
	}

	public void setAutoUp(String autoUp) {
		this.autoUp = autoUp;
	}

	public String getDisable() {
		return disable;
	}

	public void setDisable(String disable) {
		this.disable = disable;
	}

	public String getIsRequired() {
		return isRequired;
	}

	public void setIsRequired(String isRequired) {
		this.isRequired = isRequired;
	}

	public String getRows() {
		return rows;
	}

	public void setRows(String rows) {
		this.rows = rows;
	}

	public String getDatatype() {
		return datatype;
	}

	public void setDatatype(String type) {
		this.datatype = type;
	}

	public String getAccessKey() {
		return accessKey;
	}

	public void setAccessKey(String accessKey) {
		this.accessKey = accessKey;
	}

	public String getInitValue() {
		return initValue;
	}

	public void setInitValue(String initValue) {
		this.initValue = initValue;
	}

	public String getNbchar() {
		return nbchar;
	}

	public void setNbchar(String nbchar) {
		this.nbchar = nbchar;
	}

	public String getTabIndex() {
		return tabIndex;
	}

	public void setTabIndex(String tabIndex) {
		this.tabIndex = tabIndex;
	}

}
